// file: $isip/class/stat/SupportVectorModel/svm_00.cc
// version: $Id: svm_00.cc 8765 2002-10-26 20:12:17Z jelinek $
//

// there is no source code in this file
//

// isip include files
//
#include "SupportVectorModel.h"

// there is no source code in this file
//

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String SupportVectorModel::CLASS_NAME(L"SupportVectorModel");

// constants: i/o related constants
//
const String SupportVectorModel::DEF_PARAM(L"");
const String SupportVectorModel::PARAM_ALGORITHM(L"algorithm");
const String SupportVectorModel::PARAM_IMPLEMENTATION(L"implementation");
const String SupportVectorModel::PARAM_SUPPORT_VECTORS(L"support_vectors");
const String SupportVectorModel::PARAM_KERNELS(L"kernels");
const String SupportVectorModel::PARAM_ALPHAS(L"alphas");
const String SupportVectorModel::PARAM_BIAS(L"bias");
const String SupportVectorModel::PARAM_SIGMOID(L"sigmoid");
const String SupportVectorModel::DEF_COMMENT_TAG(L"#");

// constants: NameMap(s) for the enumerated values
//
const NameMap SupportVectorModel::ALGO_MAP(L"SINGLE_KERNEL, MULTIPLE_KERNEL");
const NameMap SupportVectorModel::IMPL_MAP(L"SIGMOID, LOGISTIC, LOGSYM, TANH, SINUS, GAUSS, RANDOM");

// static instantiations: memory manager and a permanent scratch space
//
MemoryManager SupportVectorModel::mgr_d(sizeof(SupportVectorModel),
					SupportVectorModel::CLASS_NAME);
